FROM vxlabs/glide

RUN mkdir -p $GOPATH/src/github.com/vx-labs
WORKDIR $GOPATH/src/github.com/vx-labs/iot-homes
RUN mkdir release
COPY . .
CMD glide install && \
    go test $(glide nv) && \
    go build -buildmode=exe -a -o release/server ./cmd/server && \
    cp release/* /mnt/release
